/*  Copyright (c) 2007-2008 Tomasz Moń
 *  Copyright (c) 2004 Artur Gajda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; under version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <gtk/gtk.h>

struct _PRIV {
    char *nick;
    gint id;
    GtkWidget *window;
    GtkWidget *edit;
    GtkWidget *view;
};

enum {
    ZOMBIE_TIMEOUT,
    ZOMBIE_QUIT
};

typedef struct _PRIV PRIV;

extern GList *priv_lista;


void priv_new(char *nick, gint id);
int priv_new_message(char *nick, gint id, char *msg, char *tag);
PRIV *priv_new_window(const char *nick, gint id);
PRIV *priv_lista_find_by_id(gint id);
PRIV *priv_lista_find_by_nick(const char *nick);
void priv_add_text(char *txt, PRIV *priv);
void priv_add_text2(char *nick, char *txt, PRIV *priv, char *tag);
void priv_set_zombie(PRIV *priv, gint typ);
